Bug 198286 - Does not build tomcat5 on ppc64 and s390x only
Does not build tomcat5 on ppc64 and s390x only
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
:
Depends On:
Blocks: 192372 192534
  Show dependency treegraph
 
Reported: 2006-07-10 16:47 EDT by Fernando Nasser
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-26 14:53:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fernando Nasser 2006-07-10 16:47:12 EDT
Description of problem:

The same spec file that builds OK on all other architectures fails when
attempted on ppc64 or s390x.  Here is the portion of te log on ppc64:

build-webapps-precompile:
    [mkdir] Created dir:
/builddir/build/BUILD/tomcat5-5.5.17/apache-tomcat-5.5.17-src/build/build/server/webapps/admin/WEB-INF/src/admin
    [mkdir] Created dir:
/builddir/build/BUILD/tomcat5-5.5.17/apache-tomcat-5.5.17-src/build/build/webapps/ROOT/WEB-INF/src
    [mkdir] Created dir:
/builddir/build/BUILD/tomcat5-5.5.17/apache-tomcat-5.5.17-src/build/build/webapps/ROOT/WEB-INF/classes
    [mkdir] Created dir:
/builddir/build/BUILD/tomcat5-5.5.17/apache-tomcat-5.5.17-src/build/build/webapps/jsp-examples/WEB-INF/src

BUILD FAILED
/builddir/build/BUILD/tomcat5-5.5.17/apache-tomcat-5.5.17-src/build/build.xml:841:
The following error occurred while executing this line:
/builddir/build/BUILD/tomcat5-5.5.17/apache-tomcat-5.5.17-src/build/build.xml:464:
org.apache.jasper.JasperException: The absolute uri:
http://struts.apache.org/tags-bean cannot be resolved in either web.xml or the
jar files deployed with this application

Version-Release number of selected component (if applicable):

rawhide

How reproducible:

always

Steps to Reproduce:
1. submit a build of the latest tomcat5 tag on devel
2.
3.
  
Actual results:

Build fails on either ppc64 or s390x (others get cancelled)

Expected results:

Builds on all arches ("ExcludeArches: ppc64 s390x" is currently required to
build tomcat5).

Additional info:

pon request

Note You need to log in before you can comment on or make changes to this bug.